Featherlane AI
ReferenceHTTP API

Gateway

GET
/v1/gateway/provider-connections

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/gateway/provider-connections"
{  "provider_connections": [    {      "base_url": "string",      "created_at": "string",      "credential_status": "configured",      "default_model": "string",      "display_name": "string",      "id": "string",      "kind": "openai_compatible",      "updated_at": "string"    }  ]}
POST
/v1/gateway/provider-connections

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/gateway/provider-connections" \  -H "Content-Type: application/json" \  -d '{    "display_name": "string",    "kind": "openai_compatible",    "provider_api_key": "string"  }'
{  "base_url": "string",  "created_at": "string",  "credential_status": "configured",  "default_model": "string",  "display_name": "string",  "id": "string",  "kind": "openai_compatible",  "updated_at": "string"}
PATCH
/v1/gateway/provider-connections/{id}

Path Parameters

id*string

Provider connection id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/gateway/provider-connections/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "base_url": "string",  "created_at": "string",  "credential_status": "configured",  "default_model": "string",  "display_name": "string",  "id": "string",  "kind": "openai_compatible",  "updated_at": "string"}
GET
/v1/gateway/routes

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/gateway/routes"
{  "gateway_routes": [    {      "agent_id": "string",      "created_at": "string",      "display_name": "string",      "id": "string",      "provider_connection_id": "string",      "updated_at": "string"    }  ]}
POST
/v1/gateway/routes

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/gateway/routes" \  -H "Content-Type: application/json" \  -d '{    "agent_id": "string",    "display_name": "string",    "provider_connection_id": "string"  }'
{  "agent_id": "string",  "created_at": "string",  "display_name": "string",  "id": "string",  "provider_connection_id": "string",  "updated_at": "string"}
PATCH
/v1/gateway/routes/{id}

Path Parameters

id*string

Gateway route id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/gateway/routes/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "agent_id": "string",  "created_at": "string",  "display_name": "string",  "id": "string",  "provider_connection_id": "string",  "updated_at": "string"}
POST
/v1/gateway/{route_id}/anthropic/v1/messages

Path Parameters

route_id*string

Gateway route id

Request Body

application/json

Raw provider request body, proxied through unchanged

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/gateway/string/anthropic/v1/messages" \  -H "Content-Type: application/json" \  -d 'string'
Empty
POST
/v1/gateway/{route_id}/openai/chat/completions

Path Parameters

route_id*string

Gateway route id

Request Body

application/json

OpenAI-compatible request. With an active LLM budget, bounded requests receive strict preflight admission; requests without max_tokens are soft-admitted while current spend remains below the cap.

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/gateway/string/openai/chat/completions" \  -H "Content-Type: application/json" \  -d 'string'
Empty